maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brett Porter (JIRA)" <j...@codehaus.org>
Subject [jira] Closed: (MNG-2626) System scope dependencies in parent POM cause validation warnings for most plugins and errors in assembly plugin
Date Wed, 01 Jul 2009 17:46:05 GMT

     [ http://jira.codehaus.org/browse/MNG-2626?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Brett Porter closed MNG-2626.
-----------------------------

         Assignee: Brett Porter  (was: Jason van Zyl)
       Resolution: Duplicate
    Fix Version/s:     (was: 2.2.1)

> System scope dependencies in parent POM cause validation warnings for most plugins and
errors in assembly plugin
> ----------------------------------------------------------------------------------------------------------------
>
>                 Key: MNG-2626
>                 URL: http://jira.codehaus.org/browse/MNG-2626
>             Project: Maven 2
>          Issue Type: Bug
>          Components: Errors
>    Affects Versions: 2.0-alpha-1
>            Reporter: Brian Topping
>            Assignee: Brett Porter
>            Priority: Blocker
>         Attachments: interpolation-good.patch, interpolation.patch, MNG-2626it.tgz
>
>
> When system scope dependencies are in a parent POM and the systemPath for those variables
contain a variable to be interpolated as a root path, maven throws off a lot of spurious warnings
that the POM does not validate because system paths need to be absolute.  An example of this
in a parent POM (where ${jboss.home} is defined in ~/.m2/settings.xml):
> {code:xml}
> 		<dependency>
> 			<groupId>jboss</groupId>
> 			<artifactId>activation</artifactId>
> 			<version>4.0.4.GA</version>
> 			<scope>system</scope>
> 			<systemPath>${jboss.home}/server/default/lib/activation.jar</systemPath>
> 		</dependency>
> {code}
> In discussing this with John and Jason online, both apparently have generic implementations
that can go in at some point, but this is something I would like to get into 2.0.5.  The patch
is ~25 lines of new code with one replaced.  
> It's marked as blocker because we use the assembly plugin, which fails the build on the
validation problem where most other plugins just enumerate every system scope dependency.
 For now, I will distribute the patched version around the company though :-)
> thanks

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message